Ubuntu

lp:ubuntu/karmic/xine-lib

Created by James Westby on 2009-06-28 and last modified on 2009-09-07
Get this branch:
bzr branch lp:ubuntu/karmic/xine-lib
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

68. By Steve Langasek on 2009-09-07

No-change rebuild against libmagickwand2

67. By StefanPotyra on 2009-08-29

No-change rebuild to pick up new ffmpeg shlibs file.

66. By Steve Kowalik on 2009-08-08

No-change rebuild for libdirectfb-1.0-0 -> libdirectfb-1.2-0
transition.

65. By Reinhard Tartler on 2009-04-07

* New upstream release.
* Merge with debian/unstable. Changes:
  - tighten dependencies on ffmpeg.
  - don't build depend on libjack and libfaad, both not in main.
  - change order of the alternate dependencies libxine-plugins and
    libxine1-misc-plugins. The former would drag in libxine1-ffmpeg
    via recommends on the live cd.
  - still depend on libxine1-x and libxine1-console. Too late to adapt
    all remaining applications for jaunty, will happen for karmic.
  - don't implement the new debian section changes (yet).
  - don't even try to install the jack plugin.
  - patch by Loic Minier in src/xine-engine/load_plugins.c
    Patch rejected upstream, but needed in ubuntu because of broken
    translations in ubuntu language packs. This patch could be dropped
    since the last language pack update, but for saftey, I'll keep it
    in until karmic
* The previous upload has not been uploaded to unstable yet, but was
  taken from the hg packaging branch. Therefore "fake" a version number
  of 1.1.16.3-0 instead of 1.1.16.3-1.
* Protect audio loop so it cannot write to a paused device (fix
  pause/resume freeze with pulseaudio). LP: #355825

64. By Matthias Klose on 2009-03-22

No-change rebuild to fix lpia shared library dependencies.

63. By Jonathan Riddell on 2009-03-11

libxine1 dependencies: Prefer libxine1-misc-plugins over libxine1-plugins,
since the latter pulls in -ffmpeg, whic pulls in libavcodec51, which is
banned from CDs.

62. By Reinhard Tartler on 2009-03-06

merge with debian. LP: #329572

61. By Reinhard Tartler on 2009-01-27

* merge with debian.
* drop nearly all ubuntu local changes:
  - 01_bits-per-sample.dpatch resolved upstream in
    src/combined/ffmpeg/ffmpeg_decoder.h via a #define
  - 02_decode_audio.dpatch as well
  - 03_magick-wand.dpatch does not seem necessary right now.
    Build fine without, and package ships 2 very similar .pc files
  - 04_magick-wand-bool.dpatch does also seem unnecessary. besides
    faking prototypes is not the right solution for a missing #include
    ( if someone disagrees here, please let's discuss this in detail
      in a debian bugreport. The merge is painfuly already like it is
      right now )
  - 05_am-maintainer-mode.dpatch & 06_autoreconf.dpatch:
    unnecessary
* merged into the debian branch:
  - debian/rules cleanup
* applied (inline) ino the ubuntu package:
  - debian/patches/10_translation-fixes.dpatch
    patches src/xine-engine/load_plugins.c
    Patch rejected upstream, but needed in ubuntu because of broken
    translations in ubuntu language packs. This patch can be dropped
    after the next language pack update.

60. By Loïc Minier on 2009-01-15

Update dpatch 10_translation-fixes to actually patch the right second
msgid.

59. By Loïc Minier on 2009-01-15

New dpatch, 10_translation-fixes, fixes missing "%s" to protect against
broken translations; LP: #290768.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/lucid/xine-lib
This branch contains Public information 
Everyone can see this information.

Subscribers